OpenVDB: CopyToVecOp< VectorValueType, SourceTreeType > Struct Template Reference

OpenVDB 6.0.0

Public Types | Public Member Functions | Public Attributes | List of all members
CopyToVecOp< VectorValueType, SourceTreeType > Struct Template Reference

Functor for use with LeafManager::foreach() to populate a vector with the values of a tree's active voxels. More...

`#include <PoissonSolver.h>`

## Public Types
using | VIdxTreeT = typename SourceTreeType::template ValueConverter< VIndex >::Type
using | VIdxLeafT = typename VIdxTreeT::LeafNodeType
using | LeafT = typename SourceTreeType::LeafNodeType
using | TreeValueT = typename SourceTreeType::ValueType
using | VectorT = typename math::pcg::Vector< VectorValueType >

## Public Member Functions
| CopyToVecOp (const SourceTreeType &t, VectorT &v)
void | operator() (const VIdxLeafT &idxLeaf, size_t) const

## Public Attributes
const SourceTreeType * | tree
VectorT * | vector

## Detailed Description

### template<typename VectorValueType, typename SourceTreeType>
struct openvdb::v6_0::tools::poisson::internal::CopyToVecOp< VectorValueType, SourceTreeType >

Functor for use with LeafManager::foreach() to populate a vector with the values of a tree's active voxels.

## Member Typedef Documentation

## ◆ LeafT

using LeafT = typename SourceTreeType::LeafNodeType

## ◆ TreeValueT

using TreeValueT = typename SourceTreeType::ValueType

## ◆ VectorT

using VectorT = typename math::pcg::Vector<VectorValueType>

## ◆ VIdxLeafT

using VIdxLeafT = typename VIdxTreeT::LeafNodeType

## ◆ VIdxTreeT

using VIdxTreeT = typename SourceTreeType::template ValueConverter<VIndex>::Type

## Constructor & Destructor Documentation

## ◆ CopyToVecOp()

CopyToVecOp | ( | const SourceTreeType & | t,
|  | VectorT & | v
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const VIdxLeafT & | idxLeaf,
|  | size_t |
| ) |  | const
| inline

## Member Data Documentation

## ◆ tree

const SourceTreeType* tree

## ◆ vector

VectorT* vector

The documentation for this struct was generated from the following file:

- PoissonSolver.h